﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EntityFrameworkTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //コンテキストを生成する
            BooksEntities entities = new BooksEntities();

            //Usersクラスからデータを取得する
            var data = from line in entities.Users
                       where !line.Password.Contains("pass")
                       select line;

            //取得したデータを表示する
            Console.WriteLine("パスワードに「pass」を含まないデータ一覧");
            Console.WriteLine("ID : ユーザー名 : パスワード : 氏名");
            foreach (var l in data)
            {
                Console.WriteLine("{0} : {1} : {2} : {3}", l.Id, l.UserName, l.Password, l.Name);
            }
            Console.ReadLine();
        }
    }
}
